import React, { useContext } from 'react';
import { TreatProvider } from 'react-treat';
const ThemeContext = React.createContext(undefined);
export function ThemeProvider({ theme, children, }) {
    // TODO: Try augmenting server-rendered dynamic styles or rehydrate them
    return (React.createElement(TreatProvider
    // Show a clear error message during runtime, even if `theme` is nullish
    , { 
        // Show a clear error message during runtime, even if `theme` is nullish
        theme: theme === null || theme === void 0 ? void 0 : theme.ref },
        React.createElement(ThemeContext.Provider, { value: theme }, children)));
}
export function useTheme() {
    return useContext(ThemeContext);
}
