import type { StyleInjector } from './StyleInjector';
export interface RuleManager {
    increaseUsage(className: string, cssText: () => string): void;
    decreaseUsage(className: string, byAmount: number): void;
}
export declare class NullRuleManager implements RuleManager {
    increaseUsage(): void;
    decreaseUsage(): void;
}
export declare class OptimizedRuleManager implements RuleManager {
    private injector;
    private ruleIndexesByClassName;
    private usageCountsByClassName;
    constructor(injector: StyleInjector, initialRuleIndexesByClassName: Map<string, number>);
    increaseUsage(className: string, cssText: () => string): void;
    decreaseUsage(className: string, byAmount: number): void;
}
