/// <reference types="react" />
import { RuleManager } from './RuleManager';
export interface StyleInjector {
    ruleManager: RuleManager;
    addRule(cssText: string): number;
    nullifyRule(index: number): void;
}
export declare class NullStyleInjector implements StyleInjector {
    ruleManager: RuleManager;
    addRule(): number;
    nullifyRule(): void;
}
export declare class VirtualStyleInjector implements StyleInjector {
    ruleManager: RuleManager;
    private cssTexts;
    getStyleElement(): JSX.Element;
    addRule(cssText: string): number;
    nullifyRule(): void;
}
export declare class OptimizedStyleInjector implements StyleInjector {
    private sheet;
    private ruleCount;
    private freeIndexes;
    ruleManager: RuleManager;
    addRule(cssText: string): number;
    nullifyRule(index: number): void;
    replaceRule(index: number, cssText: string): number;
}
export declare class DebuggableStyleInjector implements StyleInjector {
    ruleManager: RuleManager;
    private styleEl;
    private nodes;
    private freeIndexes;
    constructor();
    addRule(cssText: string): number;
    nullifyRule(index: number): void;
    replaceRule(index: number, cssText: string): number;
}
